org.apache.ignite.internal.portable

## Interface PortableRawReaderEx

All Superinterfaces:
  PortableRawReader

All Known Implementing Classes:
  PortableReaderExImpl

    public interface PortableRawReaderEx
    extends PortableRawReader

Extended reader interface.

### Method Summary

Methods
`Object` `readObjectDetached()`

### Methods inherited from interface org.apache.ignite.internal.portable.api.PortableRawReader

`readBoolean, readBooleanArray, readByte, readByteArray, readChar, readCharArray, readCollection, readCollection, readDate, readDateArray, readDecimal, readDecimalArray, readDouble, readDoubleArray, readEnum, readEnumArray, readFloat, readFloatArray, readInt, readIntArray, readLong, readLongArray, readMap, readMap, readObject, readObjectArray, readShort, readShortArray, readString, readStringArray, readTimestamp, readUuid, readUuidArray`

### Method Detail

#### readObjectDetached

    @Nullable
    Object readObjectDetached()
                              throws PortableException

Returns:
  Object.
Throws:
  `PortableException` - In case of error.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.4.0
Release Date | : September 24 2015